## GdaDataAccessWrapper GdaDataAccessWrapper — Offers a random access on top of a cursor-only access data model |

## Synopsis

                        GdaDataAccessWrapper;
                        GdaDataAccessWrapperClass;
                        GdaDataAccessWrapperPrivate;
    GdaDataModel *      gda_data_access_wrapper_new         (GdaDataModel *model);

## Object Hierarchy

      GObject
       +----GdaDataAccessWrapper

## Implemented Interfaces

GdaDataAccessWrapper implements GdaDataModel.

## Properties

      "model"                    GdaDataModel*         : Read / Write / Construct Only

## Description

The GdaDataAccessWrapper object simply wraps around another GdaDataModel data model object and allows data to be accessed in a random way while remaining memory efficient as much as possible.

## Details

### GdaDataAccessWrapper

    typedef struct _GdaDataAccessWrapper GdaDataAccessWrapper;

### GdaDataAccessWrapperClass

    typedef struct {
    	GObjectClass                   parent_class;

    	/* Padding for future expansion */
    	void (*_gda_reserved1) (void);
    	void (*_gda_reserved2) (void);
    	void (*_gda_reserved3) (void);
    	void (*_gda_reserved4) (void);
    } GdaDataAccessWrapperClass;

### GdaDataAccessWrapperPrivate

    typedef struct _GdaDataAccessWrapperPrivate GdaDataAccessWrapperPrivate;

### gda_data_access_wrapper_new ()

    GdaDataModel *      gda_data_access_wrapper_new         (GdaDataModel *model);

Creates a new GdaDataModel object which buffers the rows of `model`. This object is usefull only if `model` can only be accessed using cursor based method.

`model` : | a GdaDataModel
Returns : | a pointer to the newly created GdaDataModel.

## Property Details

### The `"model"` property

      "model"                    GdaDataModel*         : Read / Write / Construct Only

Data model being wrapped.